跳转到内容

获取云手机列表

Request

Bodyapplication/jsonrequired
bindIpboolean

IP地址是否绑定:true = 已绑定,false = 未绑定

Example:false
keywordstring

筛选关键词:代理信息、组名、标签名、环境名

Example:"CP-424"
pageNointeger, (int64)

当前页面

Example:1
pageSizeinteger, (int64)

每页项目数

Example:100
sortArray of objects

动态排序字段。目前云手机仅支持“envName”字段。

Example:
[ { "sortDirection": "asc", "sortField": "envName" } ]
POST
/api/cloudphone/page
curl -i -X POST \
  http://127.0.0.1:40000/api/cloudphone/page \
  -H 'Content-Type: application/json' \
  -d '{
    "bindIp": false,
    "keyword": "CP-424",
    "pageNo": 1,
    "pageSize": 100,
    "sort": [
      {
        "sortDirection": "asc",
        "sortField": "envName"
      }
    ]
  }'

Responses

成功

Bodyapplication/json
codeintegerrequired

返回结果代码 0:正常;其他代码均为例外情况。

msgstringrequired

错误信息

dataobjectrequired
requestIdstringrequired

操作请求 ID

Response
{ "code": 0, "msg": "string", "data": { "current": 0, "dataList": [], "pages": 0, "total": 0 }, "requestId": "string" }